View Issue Details

This bug affects 1 person(s).
 252
IDProjectCategoryView StatusLast Update
18067Bug reportsSecuritypublic2022-05-12 21:22
Reportermarcgold Assigned Togabrieljenik  
PrioritynoneSeveritytrivial 
Status feedbackResolutionopen 
Product Version5.3.x 
Summary18067: 2FA Identifier in Google Authenticator Incorrect
Description

Just noticed that when Loading the 2FA to Google identifier to Google Authenticator the Identifier is saved as the a number.
We used the Google Authenticator in Edge (Mac)

Steps To Reproduce

Steps to reproduce

Create a 2FA for a user.
Open authenticator plugin in browser to copy the QR code

Expected result

In the resulting list on the Authenticator Plugin - expect to see identified as [username]+[URL]

Actual result

Get a number - assume this is the ID number for the 2FA entry in LS

TagsNo tags attached.
Bug heat252
Complete LimeSurvey version number (& build)5.3.11+220425
I will donate to the project if issue is resolvedNo
BrowserEdge MAC
Database type & versionPostgres
Server OS (if known)Ubuntu
Webserver software & version (if known)
PHP Version7.5

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-05-12 21:22

manager   ~69617

Can you provide us a sxeenshot where the bug is identified?
Like "on this screenshot I expect to see A, and B is appearing".

Thanks!

Issue History

Date Modified Username Field Change
2022-05-01 12:57 marcgold New Issue
2022-05-02 07:54 galads Assigned To => gabrieljenik
2022-05-02 07:54 galads Status new => assigned
2022-05-12 21:22 gabrieljenik Status assigned => feedback
2022-05-12 21:22 gabrieljenik Note Added: 69617
2022-05-12 21:22 gabrieljenik Bug heat 250 => 252